#### dynamic_vector_buffer::prepare

DynamicBuffer_v1: Get a list of buffers that represents the output sequence, with the given size.

    mutable_buffers_type prepare(
        std::size_t n);

Ensures that the output sequence can accommodate `n` bytes, resizing the vector object as necessary.

###### Return Value

An object of type `mutable_buffers_type` that satisfies MutableBufferSequence requirements, representing vector memory at the start of the output sequence of size `n`.

###### Exceptions

std::length_error

  If `size() + n > max_size()`.

###### Remarks

The returned object is invalidated by any `dynamic_vector_buffer` or `vector` member function that modifies the input sequence or output sequence.